我已经在OSX中使用WebWorks开发了BlackBerry应用程序; 我安装了SDK和Ripple,获取并安装了.csi文件,并且BlackBerry的软件版本为5.0 Bundle1419。我对该应用程序进行了打包和签名,但是当我尝试使用BlackBerry Desktop Software安装该应用程序时,会抛出该错误。我这个错误:

BlackBerry Desktop Software无法验证您的BlackBerry设备更新。 由于验证失败而中止安装。 有些软件包包含不满意的依赖关系。

这是我的config.xml

<?xml version="1.0" encoding="utf-8"?>
<widget xmlns=" http://www.w3.org/ns/widgets"
        xmlns:rim="http://www.blackberry.com/ns/widgets"
        version="1.0.0.7"
        rim:header="RIM-Widget: rim/widget">

  <author href="http://www.xyz.com/" rim:copyright="Name xyz">Name xyz</author>
  <name>Name xyz</name>

  <description>
    App xyz
  </description>

  <content src="index.html" />

  <access uri="http://xyz.com/" subdomains="true" />

  <rim:connection timeout="25000">
    <id>TCP_WIFI</id>
    <id>TCP_CELLULAR</id>
  </rim:connection>

  <license>
    Copyright (c) 2011 XYZ
    THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
    MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS
    BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
    ACTION OF CONTRACT, INSULT OR OTHERWISE, ARISING FROM, OUT OF OR IN
    CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
    SOFTWARE.
  </license>

</widget>

我错过了什么? 可能是什么问题呢? 提前致谢

===============>>#1 票数:0

该错误与您的应用程序无关。 由于某种原因,台式机软件不喜欢BlackBerry上安装的OS。

建议升级到最新版本的桌面软件,然后重试。

否则,您可以使用javaloader侧面加载您的应用程序,或者将OTAInstall文件夹中找到的文件部署到Web服务器,然后通过浏览器安装应用程序(通过浏览到* .jad文件)。 有关部署的更多信息: http : //supportforums.blackberry.com/t5/Testing-and-Deployment/How-to-Deploy-and-Distribute-Applications/ta-p/442794

  ask by pablomarti translate from so

未解决问题?本站智能推荐: